Subject: bug#9119: [PATCH] modernize function definitions in gmalloc.c

From: Ken Brown <[email-masked]>
Date: Fri, 13 Apr 2012 18:42:15 -0400

On 4/13/2012 6:35 PM, Ken Brown wrote:
> On 4/13/2012 5:43 PM, Andreas Schwab wrote:
>> Lars Ingebrigtsen<[email-masked]> writes:
>>
>>> Eli Zaretskii<[email-masked]> writes:
>>>
>>>>> So would it be OK to apply this patch, then?
>>>>
>>>> Yes, please.
>>>
>>> For some reason or other, patch won't accept the, er, patch:
>>>
>>> patch: **** malformed patch at line 19: === modified file
>>> 'src/gmalloc.c'
>>>
>>> I can't really see anything wrong with the patch by eyeballing it,
>>> though. Odd.
>>
>> The first hunk is obviously broken. It claims to add two lines but adds
>> only one.
>
> A more recent version of the patch was submitted in
>
> http://lists.gnu.org/archive/html/emacs-devel/2011-12/msg00609.html
>
> with improvements by Paul and me. Maybe that should be applied instead.

Sorry, what I wrote was unclear.  The patch I just cited isn't really a 
more recent version of the one being discussed, but (with the 
improvements by Paul and me) supersedes the latter.

Ken